#include <Arduino.h>

#include "motor.h"

// motor_enable = 200, если хочется сэкономить пин - подключаем его на 5v

Motor::Motor(int motor_enable, int motor_cw, int motor_ccw, int motor_pwm)
{
	if (motor_enable !=200)
	{
		pinMode (motor_enable, OUTPUT);
	}
	pinMode (motor_cw, OUTPUT);
	pinMode (motor_ccw, OUTPUT);
	pinMode (motor_pwm, OUTPUT);
	
	_motor_enable = motor_enable;
	_motor_cw = motor_cw;
	_motor_ccw = motor_ccw;
	_motor_pwm = motor_pwm;
}

void Motor::On(int power)
{

	
	if (_motor_enable !=200)
		digitalWrite(_motor_enable, HIGH);
  if (power >=0)
  {
    digitalWrite(_motor_cw, HIGH);
    digitalWrite(_motor_ccw, LOW);
    analogWrite (_motor_pwm, power);
  }
  else
  {
    digitalWrite(_motor_cw, LOW);
    digitalWrite(_motor_ccw, HIGH);
    analogWrite (_motor_pwm, -power);
  }

}

void Motor::Stop(unsigned char brake)
{

    if (brake) // BRAKE VCC
    {
      if (_motor_enable !=200)
		  digitalWrite(_motor_enable, HIGH);
	  
	  digitalWrite(_motor_cw, HIGH);
      digitalWrite(_motor_ccw, HIGH);
    }
    else
    {
		if (_motor_enable !=200)
			digitalWrite(_motor_enable, LOW);
		
		digitalWrite(_motor_cw, LOW);
		digitalWrite(_motor_ccw, LOW);
    }

}



